This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 458186 - Review Request: gnusound - GNUsound is a multitrack sound editor for GNOME
Review Request: gnusound - GNUsound is a multitrack sound editor for GNOME
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2008-08-06 17:53 EDT by Rakesh Pandit
Modified: 2008-09-29 07:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 05:50:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2008-08-06 17:53:15 EDT
Description:
GNUsound is a multitrack sound editor for GNOME. It reads and writes
many audio formats such as WAV, MP3 and FLAC through its modular
system of file format drivers and can also extract the audio from
video formats like MPG, WMV and AVI through the FFmpeg file format
driver. It can use either OSS, ALSA or JACK for recording and playback
and interfaces with the GLADSPA plugin system to provide a wide range
of high-quality audio processing plugins including filters,
compressors and delay effects.

SRPM: http://rakesh.fedorapeople.org/srpm/gnusound-0.7.5-1.fc9.src.rpm
SPEC: http://rakesh.fedorapeople.org/spec/gnusound.spec
Comment 1 Till Maas 2008-08-08 16:46:46 EDT
MP3 support cannot go into Fedora, also iirc FFmpeg is not in Fedora. In case there is no support for these forbidden items, please remove them also from the description.

Also I guess this is wrong, because stripping has to be done by some debuginfo-generation script afaik, to make the information go into the debuginfo subpackage:
(
cd $RPM_BUILD_ROOT/%{_libdir}/%{name}/modules/
for i in *.so; do
    strip $i || true
done
)
Comment 2 Rakesh Pandit 2008-08-08 21:45:01 EDT
It FAILED on koji, I will correct it and update.
http://koji.fedoraproject.org/koji/taskinfo?taskID=767585

SPEC: http://rakesh.fedorapeople.org/spec/gnusound.spec
SRPM: http://rakesh.fedorapeople.org/srpm/gnusound-0.7.5-2.fc9.src.rpm

Stripping and Description fixed.

Yes stripping like this was wrong. The issue was with permissions of *.so

I have changed description to this:
GNUsound is a multitrack sound editor for GNOME. It reads and writes
many audio formats through its modular system of file format drivers
and can also extract the audio from video formats. It can use either
OSS, ALSA or JACK for recording and playback and interfaces with the
GLADSPA plugin system to provide a wide range of high-quality audio
processing plugins including filters, compressors and delay effects.

It looks to me acceptable now.
May you suggest changes if any still required?

Thanks,
Comment 3 Till Maas 2008-08-09 07:18:59 EDT
The patch probably needs to be send upstream and a comment about the status of the patch needs to be added to the spec:
Patch0:         gnusound-build.patch
Reference: https://fedoraproject.org/wiki/Packaging/PatchUpstreamStatus

Imho this should also apply to the .desktop file, therefore please send it to upstream, too.

The %configure script already sets --prefix (you can test it with rpm --eval %configure), therefore I cannot see a reason, why this needs to be added:

%configure --prefix=%{_usr}

Btw. if you needed to add it, %{_prefix} would be probably a better choice.

Is it intentional, that these files are not marked with %doc?
%dir %{_docdir}/%{name}/html
%{_docdir}/%{name}/html/*.html

You do not yet need to rebuild it, I will try to do a complete review later, but I need to refresh my knowledge about some guidelines, first.
Comment 4 Mamoru TASAKA 2008-08-09 07:59:37 EDT
Just commenting for this:

(In reply to comment #3)
> Is it intentional, that these files are not marked with %doc?
> %dir %{_docdir}/%{name}/html
> %{_docdir}/%{name}/html/*.html

Files/directories under %_docdir are automatically marked as %doc.
http://docs.fedoraproject.org/drafts/rpm-guide-en/ch09s05.html#id2972655

From rpm 4.5.90 source, the current directories which are automatically
assumed as %doc are:

%__docdir_path %{_datadir}/doc:%{_datadir}/man:%{_datadir}/info:%{_datadir}/gtk-doc/html:%{?_docdir}:%{?_mandir}:%{?_infodir}:%{?_javadocdir}:/usr/doc:/usr/man:/usr/info:/usr/X11R6/man
Comment 5 Rakesh Pandit 2008-08-26 06:28:28 EDT
I tried to communicate with upstream regarding BUILD patch which fixs DESTDIR this but no proper response.

I feel it should not be a blocker. Maintainer + moderator of dev mails seems to be on holidays.

This package has other issues also like -- few dependencies are in third party repo. As they cannot be here due to license issues with audio formats.

I will discuss this package with some more folks at DEV (IRC or ML) and check what is best way to move forward.

Anybody having comments is welcome.

Will update ASAP.
Thanks.
Comment 6 Rakesh Pandit 2008-09-29 05:50:44 EDT
Maintainers upstream never responded.
Mailing List is also moderated and my messages never went through

Sad end. I will pick it up sometime in future if it looked to me worth considering.

If anyone in between is interested and wants to take away srpm, feel free to do so.

Thanks

Note You need to log in before you can comment on or make changes to this bug.